Page MenuHomePhabricator

test-release.sh: Defer test errors until the end
ClosedPublic

Authored by hans on Jul 23 2015, 3:40 PM.

Details

Summary

This makes the script run to the end and produce tarballs even on test failures, and then highlights any errors afterwards.

(I first tried just storing the errors in a global variable, but that didn't work as the "test_llvmCore" function invocation is actually running as a sub-shell.)

Diff Detail

Repository
rL LLVM

Event Timeline

hans updated this revision to Diff 30530.Jul 23 2015, 3:40 PM
hans retitled this revision from to test-release.sh: Defer test errors until the end.
hans updated this object.
hans added reviewers: dsanders, rengolin, benpope81.
hans added a subscriber: llvm-commits.
agnat added a subscriber: agnat.Jul 23 2015, 3:58 PM

LGTM with one nit.

utils/release/test-release.sh
563 ↗(On Diff #30530)

Just skip the error section if there are none.

hans added inline comments.Jul 23 2015, 4:21 PM
utils/release/test-release.sh
563 ↗(On Diff #30530)

I figured printing "Errors:\nNone" would be more clear - then there's no question whether the script exited early or something.

dsanders accepted this revision.Jul 24 2015, 8:48 AM
dsanders edited edge metadata.

LGTM. I'll try the script over the weekend since I need to pick up the addition of libunwind too.

utils/release/test-release.sh
218 ↗(On Diff #30530)

Optional nit: If we're deferring full messages rather than just 'something failed' then I'd be inclined to echo to both stdout and the deferred error log. This allows you to search the main log for the message and find the origin of the failure.

This revision is now accepted and ready to land.Jul 24 2015, 8:48 AM
hans added inline comments.Jul 24 2015, 9:16 AM
utils/release/test-release.sh
218 ↗(On Diff #30530)

Makes sense. Done.

This revision was automatically updated to reflect the committed changes.

Just to let you know, the build using this updated script worked nicely for me. I'm having some trouble with libunwind dependencies but that's a separate issue.

hans added a comment.Jul 28 2015, 9:25 AM

Just to let you know, the build using this updated script worked nicely for me. I'm having some trouble with libunwind dependencies but that's a separate issue.

Great.

Two libunwind patches were just merged in 243436 and 243437. Not sure if that's related to the issues you're seeing though.